NX Open C++ Reference Guide
|
Represents a Features::VehicleDesign::HeadImpactOPillarDetailBuilder . More...
Public Member Functions | |
bool | CreateGeometry () |
Returns the create construction geometry flag. | |
NXOpen::Point * | DaylightBottomLeft () |
Returns the left Daylight Bottom additional geometry. | |
bool | DaylightBottomLeftFlag () |
Returns the left Daylight Bottom additional geometry flag. | |
NXOpen::Point * | DaylightBottomRight () |
Returns the right Daylight Bottom additional geometry. | |
bool | DaylightBottomRightFlag () |
Returns the right Daylight Bottom additional geometry flag. | |
NXOpen::Point * | DoorTopLeft () |
Returns the left Door Top additional geometry. | |
bool | DoorTopLeftFlag () |
Returns the left Door Top additional geometry flag. | |
NXOpen::Point * | DoorTopRight () |
Returns the right Door Top additional geometry. | |
bool | DoorTopRightFlag () |
Returns the right Door Top additional geometry flag. | |
NXOpen::Point * | OP1Left () |
Returns the left OP1 alternative point. | |
bool | OP1LeftFlag () |
Returns the left OP1 alternative point flag. | |
NXOpen::Point * | OP1Right () |
Returns the right OP1 alternative point. | |
bool | OP1RightFlag () |
Returns the right OP1 alternative point flag. | |
NXOpen::Point * | OP2Left () |
Returns the left OP2 alternative point. | |
bool | OP2LeftFlag () |
Returns the left OP2 alternative point flag. | |
NXOpen::Point * | OP2Right () |
Returns the right OP2 alternative point. | |
bool | OP2RightFlag () |
Returns the right OP2 alternative point flag. | |
NXOpen::Point * | PT6Left () |
Returns the left PT6 additional geometry. | |
bool | PT6LeftFlag () |
Returns the left PT6 additional geometry flag. | |
NXOpen::Point * | PT6Right () |
Returns the right PT6 additional geometry. | |
bool | PT6RightFlag () |
Returns the right PT6 additional geometry flag. | |
NXOpen::Expression * | ReqHorizontalLeftExact () |
Returns the left horizontal required approach angle. | |
NXOpen::Expression * | ReqHorizontalRightExact () |
Returns the right horizontal required approach angle. | |
NXOpen::Expression * | ReqVerticalMax () |
Returns the vertical maximum required approach angle. | |
NXOpen::Expression * | ReqVerticalMin () |
Returns the vertical minimum required approach angle. | |
void | SetCreateGeometry (bool createGeometry) |
Sets the create construction geometry flag. | |
void | SetDaylightBottomLeft (NXOpen::Point *daylightBottomLeft) |
Sets the left Daylight Bottom additional geometry. | |
void | SetDaylightBottomLeftFlag (bool daylightBottomLeftFlag) |
Sets the left Daylight Bottom additional geometry flag. | |
void | SetDaylightBottomRight (NXOpen::Point *daylightBottomRight) |
Sets the right Daylight Bottom additional geometry. | |
void | SetDaylightBottomRightFlag (bool daylightBottomRightFlag) |
Sets the right Daylight Bottom additional geometry flag. | |
void | SetDoorTopLeft (NXOpen::Point *doorTopLeft) |
Sets the left Door Top additional geometry. | |
void | SetDoorTopLeftFlag (bool doorTopLeftFlag) |
Sets the left Door Top additional geometry flag. | |
void | SetDoorTopRight (NXOpen::Point *doorTopRight) |
Sets the right Door Top additional geometry. | |
void | SetDoorTopRightFlag (bool doorTopRightFlag) |
Sets the right Door Top additional geometry flag. | |
void | SetOP1Left (NXOpen::Point *op1Left) |
Sets the left OP1 alternative point. | |
void | SetOP1LeftFlag (bool op1LeftFlag) |
Sets the left OP1 alternative point flag. | |
void | SetOP1Right (NXOpen::Point *op1Right) |
Sets the right OP1 alternative point. | |
void | SetOP1RightFlag (bool op1RightFlag) |
Sets the right OP1 alternative point flag. | |
void | SetOP2Left (NXOpen::Point *op2Left) |
Sets the left OP2 alternative point. | |
void | SetOP2LeftFlag (bool op2LeftFlag) |
Sets the left OP2 alternative point flag. | |
void | SetOP2Right (NXOpen::Point *op2Right) |
Sets the right OP2 alternative point. | |
void | SetOP2RightFlag (bool op2RightFlag) |
Sets the right OP2 alternative point flag. | |
void | SetPT6Left (NXOpen::Point *pt6Left) |
Sets the left PT6 additional geometry. | |
void | SetPT6LeftFlag (bool pt6LeftFlag) |
Sets the left PT6 additional geometry flag. | |
void | SetPT6Right (NXOpen::Point *pt6Right) |
Sets the right PT6 additional geometry. | |
void | SetPT6RightFlag (bool pt6RightFlag) |
Sets the right PT6 additional geometry flag. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a Features::VehicleDesign::HeadImpactOPillarDetailBuilder .
This is an abstract class and cannot be instantiated.
Created in NX9.0.0.
bool NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::CreateGeometry | ( | ) |
Returns the create construction geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::DaylightBottomLeft | ( | ) |
Returns the left Daylight Bottom additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::DaylightBottomLeftFlag | ( | ) |
Returns the left Daylight Bottom additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::DaylightBottomRight | ( | ) |
Returns the right Daylight Bottom additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::DaylightBottomRightFlag | ( | ) |
Returns the right Daylight Bottom additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::DoorTopLeft | ( | ) |
Returns the left Door Top additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::DoorTopLeftFlag | ( | ) |
Returns the left Door Top additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::DoorTopRight | ( | ) |
Returns the right Door Top additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::DoorTopRightFlag | ( | ) |
Returns the right Door Top additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::OP1Left | ( | ) |
Returns the left OP1 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::OP1LeftFlag | ( | ) |
Returns the left OP1 alternative point flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::OP1Right | ( | ) |
Returns the right OP1 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::OP1RightFlag | ( | ) |
Returns the right OP1 alternative point flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::OP2Left | ( | ) |
Returns the left OP2 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::OP2LeftFlag | ( | ) |
Returns the left OP2 alternative point flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::OP2Right | ( | ) |
Returns the right OP2 alternative point.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::OP2RightFlag | ( | ) |
Returns the right OP2 alternative point flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::PT6Left | ( | ) |
Returns the left PT6 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::PT6LeftFlag | ( | ) |
Returns the left PT6 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Point* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::PT6Right | ( | ) |
Returns the right PT6 additional geometry.
Created in NX9.0.0.
License requirements : None
bool NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::PT6RightFlag | ( | ) |
Returns the right PT6 additional geometry flag.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::ReqHorizontalLeftExact | ( | ) |
Returns the left horizontal required approach angle.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::ReqHorizontalRightExact | ( | ) |
Returns the right horizontal required approach angle.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::ReqVerticalMax | ( | ) |
Returns the vertical maximum required approach angle.
Created in NX9.0.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::ReqVerticalMin | ( | ) |
Returns the vertical minimum required approach angle.
Created in NX9.0.0.
License requirements : None
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetCreateGeometry | ( | bool | createGeometry | ) |
Sets the create construction geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
createGeometry | creategeometry |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetDaylightBottomLeft | ( | NXOpen::Point * | daylightBottomLeft | ) |
Sets the left Daylight Bottom additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
daylightBottomLeft | daylightbottomleft |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetDaylightBottomLeftFlag | ( | bool | daylightBottomLeftFlag | ) |
Sets the left Daylight Bottom additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
daylightBottomLeftFlag | daylightbottomleftflag |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetDaylightBottomRight | ( | NXOpen::Point * | daylightBottomRight | ) |
Sets the right Daylight Bottom additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
daylightBottomRight | daylightbottomright |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetDaylightBottomRightFlag | ( | bool | daylightBottomRightFlag | ) |
Sets the right Daylight Bottom additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
daylightBottomRightFlag | daylightbottomrightflag |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetDoorTopLeft | ( | NXOpen::Point * | doorTopLeft | ) |
Sets the left Door Top additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
doorTopLeft | doortopleft |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetDoorTopLeftFlag | ( | bool | doorTopLeftFlag | ) |
Sets the left Door Top additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
doorTopLeftFlag | doortopleftflag |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetDoorTopRight | ( | NXOpen::Point * | doorTopRight | ) |
Sets the right Door Top additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
doorTopRight | doortopright |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetDoorTopRightFlag | ( | bool | doorTopRightFlag | ) |
Sets the right Door Top additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
doorTopRightFlag | doortoprightflag |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetOP1Left | ( | NXOpen::Point * | op1Left | ) |
Sets the left OP1 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
op1Left | op1left |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetOP1LeftFlag | ( | bool | op1LeftFlag | ) |
Sets the left OP1 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
op1LeftFlag | op1leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetOP1Right | ( | NXOpen::Point * | op1Right | ) |
Sets the right OP1 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
op1Right | op1right |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetOP1RightFlag | ( | bool | op1RightFlag | ) |
Sets the right OP1 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
op1RightFlag | op1rightflag |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetOP2Left | ( | NXOpen::Point * | op2Left | ) |
Sets the left OP2 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
op2Left | op2left |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetOP2LeftFlag | ( | bool | op2LeftFlag | ) |
Sets the left OP2 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
op2LeftFlag | op2leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetOP2Right | ( | NXOpen::Point * | op2Right | ) |
Sets the right OP2 alternative point.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
op2Right | op2right |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetOP2RightFlag | ( | bool | op2RightFlag | ) |
Sets the right OP2 alternative point flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
op2RightFlag | op2rightflag |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetPT6Left | ( | NXOpen::Point * | pt6Left | ) |
Sets the left PT6 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt6Left | pt6left |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetPT6LeftFlag | ( | bool | pt6LeftFlag | ) |
Sets the left PT6 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt6LeftFlag | pt6leftflag |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetPT6Right | ( | NXOpen::Point * | pt6Right | ) |
Sets the right PT6 additional geometry.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt6Right | pt6right |
void NXOpen::Features::VehicleDesign::HeadImpactOPillarDetailBuilder::SetPT6RightFlag | ( | bool | pt6RightFlag | ) |
Sets the right PT6 additional geometry flag.
Created in NX9.0.0.
License requirements : nx_general_packaging ("NX General Packaging")
pt6RightFlag | pt6rightflag |
|
virtual |
Validate whether the inputs to the component are sufficient for commit to be called.
If the component is not in a state to commit then an exception is thrown. For example, if the component requires you to set some property, this method will throw an exception if you haven't set it. This method throws a not-yet-implemented NXException for some components.
Implements NXOpen::GeometricUtilities::IComponentBuilder.